Download TikTok profile picture
curl --request POST \
--url https://api.agentbody.io/v1/tiktok/profile/picture/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>"
}
'import requests
url = "https://api.agentbody.io/v1/tiktok/profile/picture/download"
payload = { "username": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>'})
};
fetch('https://api.agentbody.io/v1/tiktok/profile/picture/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bio": "Example bio",
"display_name": "Example Creator",
"followers": 151200000,
"following": 1537,
"likes": 11300000000,
"profile_picture_url": "https://p16-sign-va.tiktokcdn.com/example.jpeg",
"profile_url": "https://www.tiktok.com/@example",
"username": "example",
"videos": 2346
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "example error"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "example error"
}
}{
"error": {
"code": "CONFLICT",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_INVALID_RESPONSE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_UNAVAILABLE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_TIMEOUT",
"message": "example error"
}
}tiktok
Download TikTok profile picture
Use this operation to get the profile picture (avatar) of one TikTok account as a direct-downloadable image URL with normalized profile metadata. Pass a tiktok.com profile URL, a bare @handle, or a plain username.
POST
/
v1
/
tiktok
/
profile
/
picture
/
download
Download TikTok profile picture
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key for safely retrying a billable write request.
Required string length:
1 - 255Body
application/json
TikTok account reference — profile URL (tiktok.com/@handle), bare @handle, or plain username.
Response
Direct TikTok profile picture link and normalized public profile metadata.
Direct-downloadable profile picture (avatar) image URL. TikTok CDN links are signed and expire; download promptly.
Was this page helpful?
